<?php

require_once ("../../config/Cado.php");

require_once ("cProducto.php");

$oProducto = new cProducto();



//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar

class ElementoAutocompletar {

   var $codbar;

   var $value;

   var $label;

   var $catid;

   var $uni;

   

   function __construct($label, $value, $catid, $codbar, $uni){

      $this->label = $label;

      $this->value = $value;

      $this->catid = $catid;

      $this->codbar = $codbar;

      $this->uni = $uni;

   }

}



//recibo el dato que deseo buscar sugerencias

$datoBuscar = $_GET["term"];



//busco un valor aproximado al dato escrito

$rs=$oProducto->complete_nom($datoBuscar,20);



//creo el array de los elementos sugeridos

$arrayElementos = array();



//bucle para meter todas las sugerencias de autocompletar en el array

while ($fila = mysqli_fetch_array($rs)){

	$uni = '<option value='.$fila["tb_unidad_id"].'>'.$fila['tb_unidad_nom'].'</option>';

   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_producto_nom"].' | '.$fila["tb_unidad_nom"], $fila["tb_producto_nom"], $fila["tb_catalogo_id"], $fila['tb_presentacion_codbar'],$uni));

}



print_r(json_encode($arrayElementos));



?>